PKG-INFO(1)

NAME
pkg info - displays information for packages

SYNOPSIS
pkg info <pkg-name>
pkg info -a
pkg info [-egxXEdrlsqopOfF] <pkg-name>
pkg info [-drlsq] -F <pkg-file>

DESCRIPTION
pkg info is used for displaying information for packages.

OPTIONS
The following options are supported by pkg info:

-a  Displays all installed packages

-f  Displays full information about the packages matching <pkg-name>

-e  Returns 0 if <pkg-name> is installed and is registered in the database, otherwise returns 1. Useful for checking if a package is installed or not.

-g  Treat <pkg-name> as a shell glob pattern.

-x  Treat <pkg-name> as a regular expression.

-X  Treat <pkg-name> as an extended regular expression.

-d  Displays the dependencies of package <pkg-name>

-r  Displays a list of packages on which <pkg-name> depends.

-l  Displays all files installed by <pkg-name>

-s  Displays the total size of files installed by <pkg-name>

-q  Be ``quiet''. Prints only the requested information without displaying many hints.

-O  Search is done by the <pkg-name> origin. Added only for Ports compatibility.

-E  Currently not implemented. Added only for Ports compatibility

-o  Displays <pkg-name> origin

-p  Displays the installation prefix for each package matching <pkg-name>

-F <pkg-file>
    Displays information from the package archive <pkg-file>

ENVIRONMENT
The following environment variables affect the execution of pkg info. See pkg.conf(5) for further description.

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg(1), pkg-add(1), pkg-autoremove(1), pkg-search(1), pkg-backup(1), pkg-install(1), pkg-delete(1), pkg-create(1), pkg-register(1), pkg-repo(1), pkg-update(1), pkg-upgrade(1), pkg-version(1), pkg-which(1), pkg.conf(5),